function [F,U]=rotate_pc_3(alpha0,lamda,pc)
alpha1=alpha0(1);
alpha2=alpha0(2);
beta1=alpha0(3);
beta2=alpha0(4);
F1=pc(:,1);
F2=pc(:,2);
v1=var(F1);
v2=var(F2);

U=[alpha1 beta1;
   alpha2 beta2];

%unit length
F1=(alpha1^2+alpha2^2)-1;%norm(U(:,1))-1;
F2=(beta1^2+beta2^2)-1;%norm(U(:,2))-1;
F3=(alpha1*beta1*v1)+(alpha2*beta2*v2);
F4=lamda(2)*alpha1-lamda(1)*alpha2;
F=[F1;F2;F3;F4];


